summaryrefslogtreecommitdiffstats
path: root/package/firewall
diff options
context:
space:
mode:
Diffstat (limited to 'package/firewall')
-rw-r--r--package/firewall/Makefile2
-rw-r--r--package/firewall/files/lib/fw.sh3
2 files changed, 3 insertions, 2 deletions
diff --git a/package/firewall/Makefile b/package/firewall/Makefile
index 8ce0295ee..637d0eccc 100644
--- a/package/firewall/Makefile
+++ b/package/firewall/Makefile
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:=firewall
PKG_VERSION:=2
-PKG_RELEASE:=38
+PKG_RELEASE:=39
include $(INCLUDE_DIR)/package.mk
diff --git a/package/firewall/files/lib/fw.sh b/package/firewall/files/lib/fw.sh
index a8a791149..7922d222f 100644
--- a/package/firewall/files/lib/fw.sh
+++ b/package/firewall/files/lib/fw.sh
@@ -74,7 +74,8 @@ fw__exec() { # <action> <family> <table> <chain> <target> <position> { <rules> }
fw__rc $(($? & 1))
return
fi
- fw__rc 0
+ [ "$app" != ip6tables ] || [ "$tab" != nat ]
+ fw__rc $?
}
fw__err() {